Bug 260866 - archivers/7-zip: 7zip vs p7zip
Summary: archivers/7-zip: 7zip vs p7zip
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-01 18:17 UTC by Max Brazhnikov
Modified: 2022-02-10 17:53 UTC (History)
20 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov freebsd_committer 2022-01-01 18:17:31 UTC

    
Comment 1 Max Brazhnikov freebsd_committer 2022-01-01 18:24:45 UTC
Hi folks,

p7zip is outdated unofficial port of 7-zip. Recently the author of 7-zip has
released sources for console version [1], which is now available in the ports
tree as archivers/7-zip. I mush say there is also an attempt to revive p7zip
development [2], however it lags behind original 7-zip and seems unlikely to
catch up in near future. Since your ports use p7zip I encourage you to check
7-zip and probably switch your ports to it.

For now archivers/7-zip installs single binary 7zz to avoid conflict with
p7zip, but this can be changed, if we decide switch everything to
archivers/7-zip. Alternatively, we may adjust USE=7z to handle both 7-zip
and p7zip depending on user preference.

1. https://sourceforge.net/p/sevenzip/discussion/45797/thread/cec5e63147/
2. https://github.com/jinfeihan57/p7zip
Comment 2 Naram Qashat 2022-01-01 18:38:21 UTC
For my one port that uses p7zip (emulators/higan), I was using it only for extracting the DISTFILE, what do I need to do in this case? I'm using it via USES=7z:p7zip and I don't currently see an alternative (I used p7zip if I recall right because bsdtar did not handle the file properly) or a way to use archivers/7-zip in its place via that USES.
Comment 3 Max Brazhnikov freebsd_committer 2022-01-01 19:49:38 UTC
(In reply to Naram Qashat from comment #2)
You can check whether bsdtar does properly extract archive now and switch to it. If not, you don't need to do anything at this moment.
Comment 4 Naram Qashat 2022-01-01 21:03:29 UTC
(In reply to Max Brazhnikov from comment #3)
OK, I can verify that having emulators/higan use bsdtar instead of p7zip works. (Which means I honestly don't recall why I was needing to use p7zip.) I'll see about putting in an update for the port, but if I can't get around to it, at least this will be here to notify whoever does get around to it.
Comment 5 Daniel Engberg freebsd_committer 2022-01-01 22:06:18 UTC
Naram, higan's new home is https://github.com/higan-emu/higan (use USE_GITHUB) and you should also update WWW
Comment 6 James French 2022-01-02 04:01:23 UTC
I've submitted a patch to my existing update bug for news/sabnzbdplus (Bug 258597) that incorporates the change. That bug is blocked waiting for a new port to get committed (Bug 258593).

The change to my port's code is pretty minor so I can patch the current version in the ports tree pretty easily too if resolving both of the above is going to be a major hurdle. I'll submit that patch back upstream as well.
Comment 7 Sean Farley freebsd_committer 2022-01-02 18:04:46 UTC
While I need to update my patch, it already removes the dependency on p7zip:  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252747
Comment 8 Tatsuki Makino 2022-01-02 21:41:19 UTC
Just kidding: Shouldn't the archivers/p7zip port be the following port? :)

RUN_DEPENDS= 7zz:archivers/7-zip
ln -s ${LOCALBASE}/bin/7zz ${PREFIX}/bin/7z
ln -s ${LOCALBASE}/bin/7zz ${PREFIX}/bin/7za
ln -s ${LOCALBASE}/bin/7zz ${PREFIX}/bin/7zr
Comment 9 Fernando Apesteguía freebsd_committer 2022-01-03 08:19:18 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 10 commit-hook freebsd_committer 2022-01-03 19:22:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d4287c9ce73f1ce10403b16df34e89ff32922c6b

commit d4287c9ce73f1ce10403b16df34e89ff32922c6b
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-01-03 19:21:30 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-01-03 19:21:30 +0000

    emulators/higan: don't depend on p7zip

    Dependency on p7zip was a workaround, it is not needed anymore.

    PR:             260866
    Tested by:      maintainer

 emulators/higan/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 11 commit-hook freebsd_committer 2022-01-04 16:47:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=16fc163575c88db3cebd7aa0ec49b3a2c33e9ce5

commit 16fc163575c88db3cebd7aa0ec49b3a2c33e9ce5
Author:     Emanuel Haupt <ehaupt@FreeBSD.org>
AuthorDate: 2022-01-04 16:43:50 +0000
Commit:     Emanuel Haupt <ehaupt@FreeBSD.org>
CommitDate: 2022-01-04 16:46:03 +0000

    www/fgallery: Switch from p7zip to 7-zip

    Switch from outdated archivers/p7zip tp archivers/7-zip which is
    encouraged by the maintainer (see PR).

    While here, pacify portclippy/portfmt.

    PR:             260866 (based on)

 www/fgallery/Makefile | 27 +++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)
Comment 12 Max Brazhnikov freebsd_committer 2022-01-04 20:40:20 UTC
(In reply to Tatsuki Makino from comment #8)
While it probably would work fine for most of the consumers, there are minor differences between p7zip and 7-Zip (besides binary naming), so individual checks are required. E.g. p7zip has got '-l' switch, which is absent in 7-Zip, and this change breaks archivers/ark.
Comment 13 Kurt Jaeger freebsd_committer 2022-01-08 19:37:13 UTC
security/binwalk is obsolete and can be removed.
Comment 14 commit-hook freebsd_committer 2022-01-08 20:00:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c0c4550edc7274b25a12b7288994ff1ac2efe648

commit c0c4550edc7274b25a12b7288994ff1ac2efe648
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2022-01-08 19:41:44 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2022-01-08 19:58:25 +0000

    USES=7z: convert p7zip to 7-zip

    PR:             260866
    Tested by:      mtree -R time -K sha256 in korean/nanumfonts-otf

 Mk/Uses/7z.mk                  | 40 ++++++++++++++++++++--------------------
 games/nwndata/Makefile         |  4 ++--
 korean/nanumfonts-otf/Makefile |  2 +-
 3 files changed, 23 insertions(+), 23 deletions(-)
Comment 15 Kurt Jaeger freebsd_committer 2022-01-08 20:03:05 UTC
(In reply to Kurt Jaeger from comment #13)
Ok, not obsolete enough for now.
Comment 16 commit-hook freebsd_committer 2022-01-08 20:03:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bbc6dc87aab11c9bb8aae8cde453653e457a1cd3

commit bbc6dc87aab11c9bb8aae8cde453653e457a1cd3
Author:     Kurt Jaeger <pi@FreeBSD.org>
AuthorDate: 2022-01-08 20:01:34 +0000
Commit:     Kurt Jaeger <pi@FreeBSD.org>
CommitDate: 2022-01-08 20:01:34 +0000

    security/binwalk: using 7-zip instead of p7zip

    PR:     260866

 security/binwalk/Makefile                          |  4 ++--
 .../patch-src_binwalk_config_extract.conf (new)    | 24 ++++++++++++++++++++++
 2 files changed, 26 insertions(+), 2 deletions(-)
Comment 17 commit-hook freebsd_committer 2022-01-09 21:13:53 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1938e368e49435266823f4b9951fd301f9ccf59b

commit 1938e368e49435266823f4b9951fd301f9ccf59b
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-01-09 21:11:27 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-01-09 21:11:27 +0000

    archivers/unfoo: update to 1.0.8

    - Follow new upstream
    - Switch from p7zip to 7-Zip

    PR:             260866

 archivers/unfoo/Makefile                |  6 +++---
 archivers/unfoo/distinfo                |  5 +++--
 archivers/unfoo/files/patch-unfoo (new) | 17 +++++++++++++++++
 3 files changed, 23 insertions(+), 5 deletions(-)
Comment 18 commit-hook freebsd_committer 2022-01-09 21:13:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7b6492b4dde75a5b985c23365ea632331e8e7192

commit 7b6492b4dde75a5b985c23365ea632331e8e7192
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-01-09 21:11:28 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-01-09 21:11:28 +0000

    archivers/deco: refactor port

    - Rename binary and package to avoid conflict with deco filemanager
    - Switch from p7zip to 7-Zip

    PR:             260866

 archivers/deco/Makefile  | 18 +++++++++++-------
 archivers/deco/pkg-plist |  2 +-
 2 files changed, 12 insertions(+), 8 deletions(-)
Comment 19 Po-Chuan Hsieh freebsd_committer 2022-01-11 19:31:41 UTC
I've changed archivers/p5-IO-Compress-Lzma from p7zip to 7-zip in fba2e3af1da46093efd74802bf2c34221a74ae05. Thanks!
Comment 20 commit-hook freebsd_committer 2022-01-12 20:08:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=04a6dbb444fb2496f31aa7dd3cda4f6b44a86136

commit 04a6dbb444fb2496f31aa7dd3cda4f6b44a86136
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-01-12 20:07:32 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-01-12 20:07:32 +0000

    graphics/qcomicbook: switch from p7zip to 7-zip

    PR:     260866

 graphics/qcomicbook/Makefile                       |  2 +-
 ...h-src_Archivers_P7zipArchiverStrategy.cpp (new) | 25 ++++++++++++++++++++++
 2 files changed, 26 insertions(+), 1 deletion(-)
Comment 21 commit-hook freebsd_committer 2022-01-12 20:08:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b63918758d4547ce590e37677c3df7bdab9ff36e

commit b63918758d4547ce590e37677c3df7bdab9ff36e
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-01-12 20:07:32 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-01-12 20:07:32 +0000

    audio/fluidplug-lv2: switch from p7zip to 7-zip

    PR:     260866

 audio/fluidplug-lv2/Makefile | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
Comment 22 commit-hook freebsd_committer 2022-01-12 21:26:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=88cbdd9c25e9af87860167f9a705bdabd82ee5cc

commit 88cbdd9c25e9af87860167f9a705bdabd82ee5cc
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-01-12 21:24:02 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-01-12 21:24:02 +0000

    archivers/xarchiver: switch from p7zip to 7-zip

    PR:     260866

 archivers/xarchiver/Makefile               |  3 ++-
 archivers/xarchiver/files/patch-src_main.c | 15 ++++++++++++---
 2 files changed, 14 insertions(+), 4 deletions(-)
Comment 23 commit-hook freebsd_committer 2022-01-12 21:26:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dba356ff75eae56cb8fdaaedb9e04625f7ba8426

commit dba356ff75eae56cb8fdaaedb9e04625f7ba8426
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-01-12 21:24:02 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-01-12 21:24:02 +0000

    polish/qnapi: switch from p7zip to 7-zip

    Migrate to 7-zip [1] and while here:
    - Respect LOCALBASE
    - Don't move around man pages

    PR:     260866

 polish/qnapi/Makefile                                |  8 +++++---
 .../patch-libqnapi_src_config_configreader.cpp (new) | 20 ++++++++++++++++++++
 polish/qnapi/pkg-plist                               |  6 +++---
 3 files changed, 28 insertions(+), 6 deletions(-)
Comment 24 Dominik Lisiak 2022-01-17 08:29:56 UTC
(In reply to Max Brazhnikov from comment #1)
I've created bug #261264 with an update to 'polish/napi'.
Comment 25 commit-hook freebsd_committer 2022-01-17 16:46:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8528974c364ce257d975e32f94ce1bd8af246926

commit 8528974c364ce257d975e32f94ce1bd8af246926
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-01-17 16:45:40 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-01-17 16:45:40 +0000

    polish/napi: switch from p7zip to 7-zip

    PR:             260866, 261264
    Submitted by:   Dominik Lisiak (maintainer)

 polish/napi/Makefile                                 |  3 ++-
 polish/napi/files/patch-libs_libnapi__fs.sh          | 19 ++++++++++++++-----
 polish/napi/files/patch-libs_libnapi__tools.sh (new) | 11 +++++++++++
 3 files changed, 27 insertions(+), 6 deletions(-)
Comment 26 commit-hook freebsd_committer 2022-01-30 17:39:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e1f8368d8ca8c1d79b983d12df367b885a3edc9b

commit e1f8368d8ca8c1d79b983d12df367b885a3edc9b
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-01-30 17:36:52 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-01-30 17:36:52 +0000

    security/maia: remove nop option

    There is no any reference to 7z or p7zip in the sources.

    PR:             260866, 261575
    Approved by:    maintainer

 security/maia/Makefile | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)
Comment 27 commit-hook freebsd_committer 2022-02-07 17:22:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9d682678bc0e34139b0e09d3d19f0cf0fed67ace

commit 9d682678bc0e34139b0e09d3d19f0cf0fed67ace
Author:     Florian Smeets <flo@FreeBSD.org>
AuthorDate: 2022-02-07 17:07:54 +0000
Commit:     Florian Smeets <flo@FreeBSD.org>
CommitDate: 2022-02-07 17:22:29 +0000

    security/amavisd-new: Update 2.12.2, add 7-Zip.org support

    - update to 2.12.2
    - switch to archivers/7-zip for extracting 7-Zip archives. Patch has
      been discussed with upstream and is waiting to be committed.
      https://gitlab.com/amavis/amavis/-/merge_requests/90

    PR:             260866

 UPDATING                                            |  7 +++++++
 security/amavisd-new/Makefile                       | 13 ++++++-------
 security/amavisd-new/distinfo                       |  6 +++---
 security/amavisd-new/files/patch-amavisd (new)      | 20 ++++++++++++++++++++
 security/amavisd-new/files/patch-amavisd.conf (new) | 20 ++++++++++++++++++++
 5 files changed, 56 insertions(+), 10 deletions(-)
Comment 28 commit-hook freebsd_committer 2022-02-08 17:40:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d187db4415d7776fabf62996972958bf220276f1

commit d187db4415d7776fabf62996972958bf220276f1
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-02-08 17:38:33 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-02-08 17:38:33 +0000

    sysutils/unetbootin: switch from p7zip to 7-zip

    PR:             260866, 261569
    Approved by:    danfe@ (maintainer)

 sysutils/unetbootin/Makefile                   | 4 ++--
 sysutils/unetbootin/files/patch-unetbootin.cpp | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)
Comment 29 commit-hook freebsd_committer 2022-02-08 17:40:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5bb882788ca0b6f3ccd17f9c83f69e1863a79d92

commit 5bb882788ca0b6f3ccd17f9c83f69e1863a79d92
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-02-08 17:38:33 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-02-08 17:38:33 +0000

    archivers/xarchive: switch from p7zip to 7-zip

    PR:             260866, 261314
    Approved by:    maintainer timeout (3 weeks)

 archivers/xarchive/Makefile                           |  2 +-
 archivers/xarchive/files/patch-doc_xarchive.1 (new)   | 11 +++++++++++
 archivers/xarchive/files/patch-wrappers_7za.src (new) | 11 +++++++++++
 3 files changed, 23 insertions(+), 1 deletion(-)
Comment 30 commit-hook freebsd_committer 2022-02-09 21:49:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=160358b8d28b1fd286c6ddfb3b3ac9427a3d0a55

commit 160358b8d28b1fd286c6ddfb3b3ac9427a3d0a55
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-02-09 21:47:29 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-02-09 21:47:29 +0000

    archivers/ark: switch from p7zip to 7-zip

    Add support for original 7-Zip and use it instead of p7zip.
    Full patch has been submitted upstream:

    https://invent.kde.org/utilities/ark/-/merge_requests/90

    PR:             260866 261368

 archivers/ark/Makefile               | 11 +++++-
 archivers/ark/files/patch-7zip (new) | 76 ++++++++++++++++++++++++++++++++++++
 archivers/ark/pkg-message            |  2 +-
 3 files changed, 87 insertions(+), 2 deletions(-)
Comment 31 commit-hook freebsd_committer 2022-02-10 17:33:22 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6f3872ab47a6bbceb3743e022611ec838ad450d0

commit 6f3872ab47a6bbceb3743e022611ec838ad450d0
Author:     Max Brazhnikov <makc@FreeBSD.org>
AuthorDate: 2022-02-10 17:29:02 +0000
Commit:     Max Brazhnikov <makc@FreeBSD.org>
CommitDate: 2022-02-10 17:29:15 +0000

    archivers/file-roller: switch from p7zip to 7-zip

    PR:             260866 261839
    Approved by:    tcberner@

 archivers/file-roller/Makefile                           |  5 +++++
 .../file-roller/files/patch-src_fr-command-7z.c (new)    | 16 ++++++++++++++++
 2 files changed, 21 insertions(+)
Comment 32 Max Brazhnikov freebsd_committer 2022-02-10 17:53:20 UTC
Thanks everyone! All ports have been converted to use 7-zip, except games/spring which is broken for a long time.